Necessidade de remover o ffmpeg toda vez em que eu vou atualizar o sistema

Na grande maioria das vezes que vou atualizar o sistema tenho que dar um: sudo pacman -Rdd ffmpeg, depois instalá-lo de novo após a atualização (acaba instalando tanto o x264 e o ffmpeg)

1 Curtida

Problemas de compatibilidade, você está atualizando a versão do x264 do testing, logo o ffmpeg também deve ser atualizado para a versão do testing, só assim para evitar este pequeno problema. Para resolver isto você deve habilitar os repositórios testing novamente, aqui vai tranquilamente.

2 Curtidas

Na wiki do Arch mostra como habilitar este repositório? Não sei se esse problema é por conta de eu ter removido o repositório do Antergos (sistema original).

Sim, a wiki ensina: Official repositories - ArchWiki E, não. Não é problema de remover o repositório do Antergos. Todos os pacotes do finado Antergos, com exceção de icones, temas etc., as perfumarias, vinham direto dos repositório do Arch mesmo eles nem mexiam nos pacotes.

Usei o Antergos tem muito tempo e não lembro, mas acho que é igualzinho o Arch. É só você abrir o arquivo pacman.conf que ficam em /etc/pacman.conf vai ter uma linha assim:

#[testing]
#Include = /etc/pacman.d/mirrorlist

Abra com seu editor de textos favorito ou pelo terminal:

sudo nano /etc/pacman.conf

E descomente as duas linhas (tirar o jogo da velha) e atualize novamente os repositórios.

recomendo não utlizar o testing

poderá ter vários problemas caso não tenha muito conhecimento n Arch e como solucionar fazendo downgrade.

para isso, caso tenha utilizado o testing antes

comente ele
#[testing]
#Include = /etc/pacman.d/mirrorlist

e execute o comando

sudo pacman -Syyuu

este irá fazer a atualização para pocotes estáveis do arch, podendo atualizar o pacote ou fazer o downgrade do mesmo

1 Curtida

Bom pessoal esse problema foi sanado instalado o pacote do AUR ffmpeg-decklink, apesar de não saber ao certo o que é este decklink…

1 Curtida